# Set product metafields

Sets product metafields. Works with Shopify and WooCommerce accounts.

```http
PUT https://api.pozy.ai/v1/commerce/products/{productId}/metafields
```

- Area: Commerce / Commerce
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `productId` (string, required)

## Request body

Content type: `application/json`

- `accountId`, string, required
- `metafields`, array of object, required: At least 1 item. Up to 25 items
  - `namespace`, string, required
  - `key`, string, required
  - `type`, string, required
  - `value`, string, required

## Example request

```bash
curl -X PUT "https://api.pozy.ai/v1/commerce/products/659773d34b353e6821202f21/metafields" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9",
  "metafields": [
    {
      "namespace": "Acme",
      "key": "string",
      "type": "string",
      "value": "string"
    }
  ]
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/commerce/products/659773d34b353e6821202f21/metafields", {
  method: "PUT",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9",
    metafields: [
      {
        namespace: "Acme",
        key: "string",
        type: "string",
        value: "string"
      }
    ]
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.put(
    "https://api.pozy.ai/v1/commerce/products/659773d34b353e6821202f21/metafields",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "metafields": [
            {
                "namespace": "Acme",
                "key": "string",
                "type": "string",
                "value": "string",
            },
        ],
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `metafields`, array of object
  - `namespace`, string, required
  - `key`, string, required
  - `type`, string, required
  - `value`, string, required

```json
{
  "metafields": [
    {
      "namespace": "Acme",
      "key": "string",
      "type": "string",
      "value": "string"
    }
  ]
}
```
